aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorckl <ckl@google.com>2022-04-08 09:28:07 -0700
committerCopybara-Service <copybara-worker@google.com>2022-04-08 09:29:02 -0700
commitfc145cd30624f3ebff2e36363944890bb9be9738 (patch)
tree2d3f0ab6e6be78610a55977d30ff7fd4a9592f40
parent6e1bca0130442caab68285655399f0adc8194d49 (diff)
downloadtink-fc145cd30624f3ebff2e36363944890bb9be9738.tar.gz
Reintroduce full comprehensive test coverage for GitHub Kokoro jobs.
PiperOrigin-RevId: 440383970
-rwxr-xr-xkokoro/run_tests.sh20
1 files changed, 17 insertions, 3 deletions
diff --git a/kokoro/run_tests.sh b/kokoro/run_tests.sh
index e4e37ab05..dd42f37cd 100755
--- a/kokoro/run_tests.sh
+++ b/kokoro/run_tests.sh
@@ -54,7 +54,8 @@ run_linux_tests() {
(
cd "${workspace_dir}"
time bazel build "${BAZEL_FLAGS[@]}" -- ... || fail_with_debug_output
- time bazel test "${BAZEL_FLAGS[@]}" "${TEST_FLAGS[@]}" -- ... || fail_with_debug_output
+ time bazel test "${BAZEL_FLAGS[@]}" "${TEST_FLAGS[@]}" -- ... \
+ || fail_with_debug_output
if (( ${#manual_targets[@]} > 0 )); then
time bazel test "${TEST_FLAGS[@]}" -- "${manual_targets[@]}" \
|| fail_with_debug_output
@@ -63,8 +64,17 @@ run_linux_tests() {
}
run_all_linux_tests() {
- # TODO(b/154445252): Delete this when per-language MacOS Javascript tests are
- # added.
+ # TODO(b/228529710): Update using an easier to maintain approach to test
+ # parity.
+ if [[ "${KOKORO_JOB_NAME:-}" =~ ^tink/github ]]; then
+ run_linux_tests "cc"
+ run_linux_tests "java_src"
+ run_linux_tests "go"
+ run_linux_tests "python"
+ run_linux_tests "tools"
+ run_linux_tests "apps"
+ fi
+
run_linux_tests "javascript"
run_linux_tests "examples/cc"
@@ -223,6 +233,8 @@ main() {
./kokoro/testutils/copy_credentials.sh
./kokoro/testutils/update_android_sdk.sh
+ # Sourcing required to update callers environment.
+ source ./kokoro/testutils/install_go.sh
fi
# Verify required environment variables.
@@ -244,6 +256,8 @@ main() {
echo "using java binary: $(which java)"
java -version
+ echo "Using go binary from $(which go): $(go version)"
+
echo "using python: $(which python)"
python --version